Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366738 - raid take over should keep image/rmeta images on seperate PVs
Summary: raid take over should keep image/rmeta images on seperate PVs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: LVM and device-mapper development team
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 16:31 UTC by Corey Marthaler
Modified: 2016-11-04 04:17 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.164-2.el7
Doc Type: No Doc Update
Doc Text:
Intra-release bug, no documentation needed.
Clone Of:
Environment:
Last Closed: 2016-11-04 04:17:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Corey Marthaler 2016-08-12 16:31:11 UTC
Description of problem:
This is the second issue listed in:
https://bugzilla.redhat.com/show_bug.cgi?id=1191630#c6

[root@host-082 ~]# lvs -a -o +devices
  LV                   VG   Attr       LSize  Devices     
  transform            test rwi-a-r--- 32.00m transform_rimage_0(0),transform_rimage_1(0)
  [transform_rimage_0] test iwi-aor--- 16.00m /dev/sda1(0)
  [transform_rimage_1] test iwi-aor--- 16.00m /dev/sdb1(0)

[root@host-082 ~]# 
[root@host-082 ~]# lvconvert --type raid4 test/transform
  Using default stripesize 64.00 KiB.
  Logical volume test/transform successfully converted.
  
[root@host-082 ~]# lvs -a -o +devices
  LV                           VG   Attr       LSize   Cpy%Sync Devices
  transform                    test rwi-a-r--- 32.00m  100.00   transform_rimage_0(0),transform_rimage_1(0),transform_rimage_2(0)
  [transform_rimage_0]         test iwi-aor--- 16.00m           /dev/sda1(0)
  [transform_rimage_0_rmeta_0] test ewi-aor---  4.00m           /dev/sda1(4) 
  [transform_rimage_1]         test iwi-aor--- 16.00m           /dev/sdb1(0)
  [transform_rimage_1_rmeta_0] test ewi-aor---  4.00m           /dev/sda1(5) <-- This device should have been /dev/sdb1
  [transform_rimage_2]         test iwi-aor--- 16.00m           /dev/sdc1(1)
  [transform_rmeta_0]          test ewi-aor---  4.00m           /dev/sdc1(0)



Version-Release number of selected component (if applicable):
3.10.0-489.el7.x86_64

lvm2-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
lvm2-libs-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
lvm2-cluster-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-libs-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-event-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-event-libs-1.02.133-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016
sanlock-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
sanlock-lib-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
lvm2-lockd-2.02.163-1.el7    BUILT: Wed Aug 10 06:53:21 CDT 2016

Comment 2 Alasdair Kergon 2016-08-12 23:03:00 UTC
Fixed upstream (will list patches shortly)

Comment 4 Corey Marthaler 2016-08-17 22:26:36 UTC
Fix verified in the raid0 -> raid0_meta -> raid4 case.

3.10.0-493.el7.bz1367223.x86_64
lvm2-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
lvm2-libs-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
lvm2-cluster-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-libs-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-event-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-event-libs-1.02.133-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 05:29:13 CDT 2016
cmirror-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016
sanlock-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
sanlock-lib-3.4.0-1.el7    BUILT: Fri Jun 10 11:41:03 CDT 2016
lvm2-lockd-2.02.164-2.el7    BUILT: Tue Aug 16 05:43:50 CDT 2016



[root@host-122 ~]# lvcreate --type raid0 -i 2 -L 32M -n lv transform
  Using default stripesize 64.00 KiB.
  Logical volume "lv" created.

[root@host-122 ~]# lvs -a -o +devices
  LV            VG         Attr       LSize   Devices
  lv            transform  rwi-a-r--- 32.00m  lv_rimage_0(0),lv_rimage_1(0)
  [lv_rimage_0] transform  iwi-aor--- 16.00m  /dev/sda1(0)
  [lv_rimage_1] transform  iwi-aor--- 16.00m  /dev/sdb1(0)

[root@host-122 ~]# lvconvert --type raid0_meta transform/lv
  Logical volume transform/lv successfully converted.

[root@host-122 ~]# lvs -a -o +devices
  LV            VG         Attr       LSize   Devices
  lv            transform  rwi-a-r--- 32.00m  lv_rimage_0(0),lv_rimage_1(0)
  [lv_rimage_0] transform  iwi-aor--- 16.00m  /dev/sda1(0)
  [lv_rimage_1] transform  iwi-aor--- 16.00m  /dev/sdb1(0)
  [lv_rmeta_0]  transform  ewi-aor---  4.00m  /dev/sda1(4)
  [lv_rmeta_1]  transform  ewi-aor---  4.00m  /dev/sdb1(4)

[root@host-122 ~]# lvconvert --type raid4 transform/lv
  Using default stripesize 64.00 KiB.
  Logical volume transform/lv successfully converted.

[root@host-122 ~]# lvs -a -o +devices
  LV            VG         Attr       LSize  Cpy%Sync Devices
  lv            transform  rwi-a-r--- 32.00m 100.00   lv_rimage_0(0),lv_rimage_1(0),lv_rimage_2(0)
  [lv_rimage_0] transform  iwi-aor--- 16.00m          /dev/sda1(0)
  [lv_rimage_1] transform  iwi-aor--- 16.00m          /dev/sdb1(0)
  [lv_rimage_2] transform  iwi-aor--- 16.00m          /dev/sdc1(1)
  [lv_rmeta_0]  transform  ewi-aor---  4.00m          /dev/sda1(4)
  [lv_rmeta_1]  transform  ewi-aor---  4.00m          /dev/sdb1(4)
  [lv_rmeta_2]  transform  ewi-aor---  4.00m          /dev/sdc1(0)

Comment 6 errata-xmlrpc 2016-11-04 04:17:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.